#!/bin/sh
# dtree
# カレントディレクトリ以下をツリー表示する
# 
# 1995(C) S.Ono
#
find . -type d -perm +5 -print 2>/dev/null | sort |
awk ' {
	FS="/"
	s=$0
	n=length(s)
	len=split(s,a)
	
	for(i=0;i < len;i++)
	{
		if(a[i] == "."  || i == 0)
		{
			printf("  ",len)
			continue
		}
		printf("| ",len)
	}
	printf("+%s",a[i])
	printf("\n");
}'
